{
    num: -32114,
    accuracy: 100,
    basePower: 0,
    category: "Status",
    name: "Puppeteer",
    pp: 5,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, bypasssub: 1, metronome: 1, failencore: 1 },
    onTryMove(pokemon, target, move) {
      if (target.volatiles["encore"] && target.volatiles["confusion"]) {
        this.add("-fail", pokemon);
        this.attrLastMove("[still]");
        return null;
      } else {
        return;
      }
    },
    onHit(target) {
      if (!target.volatiles["encore"]) {
        target.addVolatile("encore");
      }
      if (!target.volatiles["confusion"]) {
        target.addVolatile("confusion");
      }
    },
    secondary: null,
    target: "normal",
    type: "Ghost",
    zMove: { boost: { spe: 1 } },
    contestType: "Clever"
}